package com.izouma.awesomeadmin.dao;

import java.util.*;
import com.izouma.awesomeadmin.datasource.DataSource;
import org.springframework.stereotype.Repository;
import com.izouma.awesomeadmin.model.UserCoupon;


/**
*  Dao接口
*/
@Repository("com.zoumaframe.dao.UserCouponMapper")
public interface UserCouponMapper{

    int deleteByPrimaryKey(Integer id);

    int insertSelective(UserCoupon record);

    UserCoupon selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(UserCoupon record);

    List<UserCoupon> queryAllUserCoupon(UserCoupon record);

    List<UserCoupon> queryUserCouponByPage(Map<String, Object> parameter);

    int delete(String id);

    UserCoupon queryUserCoupon(UserCoupon record);

    List<UserCoupon> query(UserCoupon record);
}

